import pygame

police = pygame.font.SysFont("Alef", 18) #pygame.font.get_fonts() -> liste des fonts

class Champs:
    def __init__ (self, tempature, humidite, tempsAvantMaturation, pos, image):
        self.temperature = tempature
        self.humidite = humidite
        self.TAM = tempsAvantMaturation
        self.pos = pos
        self.image = image
        self.rect = pygame.rect.Rect(self.pos, self.image.get_rect().size)

    def showInfo (self, screen):
        #afficher à l'endroit de self.x et self.y
        text = police.render("Température : " + str(self.temperature), False, (0,0,0)) #prix d'achat si buisson

        pygame.draw.rect(screen, (255, 255, 255), pygame.rect.Rect(self.pos,(100,100)))
        screen.blit(text, self.pos)

    def draw (self, screen):
        screen.blit(self.image, self.pos)

class Houblon (Champs):
    def __init__ (self, pos):
        super().__init__(0, 0, 0, pos, pygame.image.load('../assets/champ.png'))

class Buisson (Champs):
    def __init__ (self, pos):
        super().__init__(0, 0, 0, pos, pygame.image.load('../assets/buisson.png'))