import pygame
from Champs import *

class Game:
    def __init__ (self, screen):
        self.screen = screen
        self.score = 0
        self.money = 10000
        self.month = "janvier"
        self.champs = [Buisson((0,0)),Houblon((800,500))]
        self.clock = pygame.time.Clock()
        self.selectedChamp = None

    def gameLoop (self):
        while True:
            self.screen.fill((0,0,0))
            isChamp = False
            #ici il faudra charger les textures du jeu
            for champ in self.champs:
                champ.draw(self.screen)

            for event in pygame.event.get():
                if event.type == pygame.QUIT or event.type == pygame.KEYDOWN and event.key == pygame.K_ESCAPE:
                    exit()
                elif event.type == pygame.MOUSEMOTION:
                    for champ in self.champs:
                        if champ.rect.contains(*event.pos,0,0):
                            self.selectedChamp = champ
                            isChamp = True
                
                    if not isChamp:
                        self.selectedChamp = None

            if self.selectedChamp:
                self.selectedChamp.showInfo(self.screen)
            

            pygame.display.update()
            self.clock.tick(60)